<?php


define('SF_ROOT_DIR', "/home/diycash22/public_html/disney");
//define('SF_ROOT_DIR', "C://wamp/www/carlin");
define('SF_APP',      'sys');
date_default_timezone_set ( "America/Lima" ); 
//require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR."lib".DIRECTORY_SEPARATOR."functions".DIRECTORY_SEPARATOR."HelperHelper.php");
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'cache'.DIRECTORY_SEPARATOR.'config_autoload.php');

use_helper('UtilFunctions'); 

$con= Conexion::getConexion();
$a_param = Conexion::getParamDbByAlias($apps);




if (!mysql_select_db($a_param['db'], $con)) {
    echo 'Could not select database';
    exit;
}


//$_GET['fechaDiaAbierto'] = '2020-11-21';
//$_GET['IdSucursal'] = '2';
if(!$_GET['fechaDiaAbierto']) exit("No hay Fecha");
if(!$_GET['IdSucursal']) exit("No hay Sucursal");


$fechaDiaAbierto 	= $_GET['fechaDiaAbierto'];
$fechaDiaAnterior 	= $_GET['fechaDiaAbierto']; // Dia Cerrado para que continue
$fechaDiaSiguiente 	=  date('Y-m-d',strtotime($fechaDiaAbierto.' +1 days'));;
$IdSucursal 		= $_GET['IdSucursal'];
//$IdSucursal 		= 5;

//Debe ser un 
//Esta tarea no debe ejecutarse el domingo
$diahoy 				= date('N',strtotime($fechaDiaSiguiente));
echo $diahoy;

$diahoy 				= date('N',strtotime($fechaDiaAbierto));
echo $diahoyActual;

if($diahoyActual == 7) exit("salio");
//if($diahoy == 1) exit("salio");


// ============================================================
/*
$sql = "SELECT 	*
		FROM 	`cr_resumen_diario` 
		WHERE 	1=1 				
				and Fecha = '2020-11-10'
				";
echo $sql;
$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
if(mysql_num_rows($result) > 0 ){
	while($row = mysql_fetch_array($result)){
		$IdSucursal 	= $row['IdSucursal'];
		$IdMercado		= $row['IdMercado'];
		$IdColaborador	= $row['IdColaborador'];
		$Fecha			= $row['Fecha'];
		$PagoRealizado	= 0;
		$contadorPrestamosRenovados		= 0;
		$contadorPrestamosNuevos		= 0;
		$contadorPrestamosCancelados	= 0;
		$a_c_prestamosCancelados		= null;
		$a_c_prestamosRenovados			= null;
		$a_c_prestamosNuevos			= null;
		
		$sql = "SELECT 	idprestamo,fechavencimiento,saldoprestamo,Origen,IdCliente,IdColaborador,Estado,FlagReporte
				FROM 	`cr_prestamo`
				WHERE 	1=1 
					and estado = 'C' 
					and eliminado <> '1'
					
					and SaldoPrestamo = 0
					and IdCliente in (select idcliente from cr_cliente where idmercado in (".$IdMercado."))
					and FechaCancelacion like '".$Fecha."%'";
		echo $sql."<br>";
		$resultPreC = mysql_query($sql,$con);
		if(mysql_num_rows($resultPreC) > 0 ){
			while($rowPreC = mysql_fetch_array($resultPreC)){
				$idprestamo				= $rowPreC['idprestamo'];
				$contadorPrestamosCancelados++;
				$a_c_prestamosCancelados[] = $idprestamo;	
			}
		}
		$sql = "SELECT 	sum(MontoPago) as sumaMontoPago
				FROM 	`cr_pago`
				WHERE 	1=1 
					and fechapago = '".$Fecha."'
					and IdColaborador = '".$IdColaborador."'
					and idprestamo in (
										SELECT idprestamo 
										FROM `cr_prestamo` 
										WHERE `IdColaborador`= '".$IdColaborador."'  
												and  (estado ='P' or (estado ='C' and left(FechaCancelacion,10) = '".$Fecha."'))
												and  eliminado='0' 
												and IdCliente in 
												(
													select idcliente from cr_cliente where idmercado in (".$IdMercado.")
												)
										)";
		echo $sql;
		//echo "<br>";
		$resultPreCu = mysql_query($sql,$con);
		if(mysql_num_rows($resultPreCu) > 0 ){
			while($rowPreCu = mysql_fetch_array($resultPreCu)){
				$PagoRealizado	= $rowPreCu['sumaMontoPago'];
			}
		}
		
		$CadenaPrestamosCancelados = "";
		if(is_array($a_c_prestamosCancelados)) $CadenaPrestamosCancelados = implode(',',$a_c_prestamosCancelados);
		$sql = "UPDATE `cr_resumen_diario` 
				SET PagoRealizado 					= '".$PagoRealizado."',
					CadenaPrestamosCancelados 		= '".$CadenaPrestamosCancelados."',
					PrestamosCancelados 			= '".$contadorPrestamosCancelados."'
				WHERE 	1=1 				
						and IdSucursal 		= '".$IdSucursal."'
						and IdMercado 		= '".$IdMercado."'
						and IdColaborador 	= '".$IdColaborador."'
						and Fecha 			= '".$Fecha."'";
		echo $sql;
		$resultUp2 = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		
		
	}
}
exit;
*/





$sql = "SELECT 	*
		FROM 	`cr_resumen_diario` 
		WHERE 	1=1 				
				and IdSucursal = '".$IdSucursal."'
				and Fecha = '".$fechaDiaAbierto."'";

$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
if(mysql_num_rows($result) > 0 ){
	while($row = mysql_fetch_array($result)){
		$IdSucursal 	= $row['IdSucursal'];
		$IdMercado		= $row['IdMercado'];
		$IdColaborador	= $row['IdColaborador'];
		$Fecha			= $row['Fecha'];
		$PagoRealizado	= 0;
		$contadorPrestamosRenovados		= 0;
		$contadorPrestamosNuevos		= 0;
		$contadorPrestamosCancelados	= 0;
		$a_c_prestamosCancelados		= null;
		$a_c_prestamosRenovados			= null;
		$a_c_prestamosNuevos			= null;
		
		$sql = "SELECT 	sum(MontoPago) as sumaMontoPago
				FROM 	`cr_pago`
				WHERE 	1=1 
					and fechapago = '".$Fecha."'
					and IdColaborador = '".$IdColaborador."'
					and idprestamo in (
										SELECT idprestamo 
										FROM `cr_prestamo` 
										WHERE `IdColaborador`= '".$IdColaborador."'  
												and  (estado ='P' or (estado ='C' and left(FechaCancelacion,10) = '".$Fecha."'))
												and  eliminado='0' 
												and IdCliente in 
												(
													select idcliente from cr_cliente where idmercado in (".$IdMercado.")
												)
										)";
		echo $sql;
		//echo "<br>";
		$resultPreCu = mysql_query($sql,$con);
		if(mysql_num_rows($resultPreCu) > 0 ){
			while($rowPreCu = mysql_fetch_array($resultPreCu)){
				$PagoRealizado	= $rowPreCu['sumaMontoPago'];
			}
		}
		
		$sql = "SELECT 	idprestamo,fechavencimiento,saldoprestamo,Origen,IdCliente,IdColaborador,Estado,FlagReporte
				FROM 	`cr_prestamo`
				WHERE 	1=1 
					and estado = 'C' 
					and eliminado <> '1'
					and SaldoPrestamo = 0
					and idcolaborador in (".$IdColaborador.")
					and IdCliente in (select idcliente from cr_cliente where idmercado in (".$IdMercado."))
					and FechaCancelacion like '".$Fecha."%'";
	
		$resultPreC = mysql_query($sql,$con);
		if(mysql_num_rows($resultPreC) > 0 ){
			while($rowPreC = mysql_fetch_array($resultPreC)){
				$idprestamo				= $rowPreC['idprestamo'];
				$contadorPrestamosCancelados++;
				$a_c_prestamosCancelados[] = $idprestamo;	
			}
		}
		
		
		$CadenaPrestamosCancelados = "";
		if(is_array($a_c_prestamosCancelados)) $CadenaPrestamosCancelados = implode(',',$a_c_prestamosCancelados);
		
		
		
		$sql = "SELECT 	idprestamo,fechavencimiento,saldoprestamo,Origen,IdCliente,IdColaborador,Estado,FlagReporte
				FROM 	`cr_prestamo`
				WHERE 	1=1 
					and estado = 'P' 
					and Origen = 'F' 
					and eliminado <> '1'
					and idcolaborador in (".$IdColaborador.")
					and IdCliente in (select idcliente from cr_cliente where idmercado in (".$IdMercado."))
					and FechaInicio = '".$Fecha."'";
	
		$resultPreC = mysql_query($sql,$con);
		if(mysql_num_rows($resultPreC) > 0 ){
			while($rowPreC = mysql_fetch_array($resultPreC)){
				$idprestamo				= $rowPreC['idprestamo'];
				$contadorPrestamosRenovados++;
				$a_c_prestamosRenovados[] = $idprestamo;
			}
		}
		
		$CadenaPrestamosRenovados = "";
		if(is_array($a_c_prestamosRenovados)) $CadenaPrestamosRenovados = implode(',',$a_c_prestamosRenovados);
		
		$sql = "SELECT 	idprestamo,fechavencimiento,saldoprestamo,Origen,IdCliente,IdColaborador,Estado,FlagReporte
				FROM 	`cr_prestamo`
				WHERE 	1=1 
					and estado = 'P' 
					and Origen = 'R' 
					and eliminado <> '1'
					and idcolaborador in (".$IdColaborador.")
					and IdCliente in (select idcliente from cr_cliente where idmercado in (".$IdMercado."))
					and FechaInicio = '".$Fecha."'";
	
		$resultPreC = mysql_query($sql,$con);
		if(mysql_num_rows($resultPreC) > 0 ){
			while($rowPreC = mysql_fetch_array($resultPreC)){
				$idprestamo				= $rowPreC['idprestamo'];
				$contadorPrestamosNuevos++;
				$a_c_prestamosNuevos[] = $idprestamo;
			}
		}
		
		$CadenaPrestamosNuevos = "";
		if(is_array($a_c_prestamosNuevos)) $CadenaPrestamosNuevos = implode(',',$a_c_prestamosNuevos);
		
		
		$sql = "UPDATE `cr_resumen_diario` 
				SET PagoRealizado 					= '".$PagoRealizado."',
					CadenaPrestamosCancelados 		= '".$CadenaPrestamosCancelados."',
					PrestamosCancelados 			= '".$contadorPrestamosCancelados."',
					CadenaPrestamosRenovados 		= '".$CadenaPrestamosRenovados."',
					PrestamosRenovados 				= '".$contadorPrestamosRenovados."',
					CadenaPrestamosNuevos 			= '".$CadenaPrestamosNuevos."',
					PrestamosNuevos 				= '".$contadorPrestamosNuevos."',
					PrestamosNuevos 				= '".$contadorPrestamosNuevos."',
					FechaModificacion 				= '".date("Y-m-d H:i:s")."',
					Estado 							= 'C'
				WHERE 	1=1 				
						and IdSucursal 		= '".$IdSucursal."'
						and IdMercado 		= '".$IdMercado."'
						and IdColaborador 	= '".$IdColaborador."'
						and Fecha 			= '".$Fecha."'
						";
		//and Estado 			= 'P'
		echo $sql."<br>";	
		$resultUp2 = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	}
}

////////////////////////////////////////////////////////

//exit("Stop");

$sql = "SELECT 	Descripcion
		FROM 	`cr_sucursal`
		WHERE 	1=1 				
				and IdSucursal = '".$IdSucursal."'";

$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
if(mysql_num_rows($result) > 0 ){
	while($row = mysql_fetch_array($result)){
		$NombreSucursal = $row['Descripcion'];
	}
}

//Buscar los colaboradores para nuevo registro

$sql = "SELECT 	IdColaborador,mr.IdMercado
		FROM 	`cr_sucursal_mercado` sm
		LEFT JOIN cr_mercado_representante mr on mr.IdMercado = sm.IdMercado
		WHERE 	1=1 				
				and IdSucursal = '".$IdSucursal."'
			";
echo $sql;
$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
if(mysql_num_rows($result) > 0 ){
	while($row = mysql_fetch_array($result)){
		$IdColaborador 	= $row['IdColaborador'];
		$IdMercado		= $row['IdMercado'];
		$IdColaborador	= $row['IdColaborador'];
		$NombreMercado	= "";
		$NombreColaborador	= "";
		
		$sql = "SELECT 	Descripcion
				FROM 	`cr_mercado`
				WHERE 	1=1 				
				and IdMercado = '".$IdMercado."'";

		$resultMe = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		if(mysql_num_rows($resultMe) > 0 ){
			while($rowMe = mysql_fetch_array($resultMe)){
				$NombreMercado = $rowMe['Descripcion'];
			}
		}
		
		$sql = "SELECT 	concat(ApellidoPaterno,' ',ApellidoMaterno,', ',Nombres) as Descripcion
				FROM 	`cr_colaborador`
				WHERE 	1=1 				
				and IdColaborador = '".$IdColaborador."'";

		$resultCo = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		if(mysql_num_rows($resultCo) > 0 ){
			while($rowCo = mysql_fetch_array($resultCo)){
				$NombreColaborador = $rowCo['Descripcion'];
			}
		}
		
		$PagoTeorico				 	= 0;
		$contadorPrestamosPendientes 	= 0;
		$contadorPrestamosVencidos 		= 0;
		$contadorPrestamosMorosos 		= 0;
		
		$saldoPrestamosMorosos 			= 0;
		$saldoPrestamosVencidos			= 0;
		$saldoPrestamosRenovados		= 0;
		$saldoPrestamosPendientes		= 0;
		$saldoPrestamosCancelados		= 0;
		$SumaMontoTotal					= 0;
		$a_c_prestamosVencidos			= null;
		$a_c_prestamosMorosos			= null;
		$a_c_prestamosRenovados			= null;
		$a_c_prestamosPendientes		= null;
		
		
		$sql = "SELECT 	idprestamo,fechavencimiento,saldoprestamo,Origen,FechaInicio,MontoTotal,IdPrestamoReferencia,IdCliente,IdColaborador,Estado,FlagReporte
				FROM 	`cr_prestamo`
				WHERE 	1=1 
					and estado = 'P' 
					and eliminado <> '1'
					and idcolaborador in (".$IdColaborador.")
					and IdCliente in (select idcliente from cr_cliente where idmercado in (".$IdMercado."))";
	
		$resultPre = mysql_query($sql,$con);
		if(mysql_num_rows($resultPre) > 0 ){
			
			while($rowPre = mysql_fetch_array($resultPre)){
				
				$idprestamo				= $rowPre['idprestamo'];
				$Estado					= $rowPre['Estado'];
				$fechavencimiento		= $rowPre['fechavencimiento'];
				$saldoprestamo			= $rowPre['saldoprestamo'];
				$FlagReporte			= $rowPre['FlagReporte'];
				$FechaInicio			= $rowPre['FechaInicio'];
				$Origen					= $rowPre['Origen'];
				$MontoTotal				= $rowPre['MontoTotal'];
				
				//Estadistica de los Prestamos vencidos
				
				//Estadistica de los Prestamos vencidos
				if($FlagReporte == 1){
					$contadorPrestamosMorosos++;
					$saldoPrestamosMorosos = $saldoPrestamosMorosos + $saldoprestamo;
					$a_c_prestamosMorosos[] = $idprestamo;
				}else{
					$contadorPrestamosPendientes++;
					$saldoPrestamosPendientes = $saldoPrestamosPendientes + $saldoprestamo;
					$SumaMontoTotal = $SumaMontoTotal + $MontoTotal;
					$a_c_prestamosPendientes[] = $idprestamo;
					if($fechavencimiento < $fechaDiaSiguiente){
						$contadorPrestamosVencidos++;
						$saldoPrestamosVencidos = $saldoPrestamosVencidos + $saldoprestamo;
						$a_c_prestamosVencidos[] = $idprestamo;
					}
					
					$sql = "SELECT 	sum(saldocuota) as sumasaldo
							FROM 	`cr_cuota`
							WHERE 	1=1 
								and estado = 'P' 
								and fecha <= '".$fechaDiaSiguiente."'
								and idprestamo in (".$idprestamo.")";
					//echo $sql;
					//echo "<br>";
					$resultPreCu = mysql_db_query(Conexion::getNameDb(), $sql, $con);
					if(mysql_num_rows($resultPreCu) > 0 ){
						while($rowPreCu = mysql_fetch_array($resultPreCu)){
							$PagoTeorico	+= $rowPreCu['sumasaldo'];
							$a_c_prestamosPagoTeorico[] = $idprestamo;
						}
					}
				}
		    	
			}
		}
		
		$CadenaPrestamosMorosos = "";
		if(is_array($a_c_prestamosMorosos)) $CadenaPrestamosMorosos = implode(',',$a_c_prestamosMorosos);
		$CadenaPrestamosVencidos = "";
		if(is_array($a_c_prestamosVencidos)) $CadenaPrestamosVencidos = implode(',',$a_c_prestamosVencidos);
		$CadenaPrestamosPendientes = "";
		if(is_array($a_c_prestamosPendientes)) $CadenaPrestamosPendientes = implode(',',$a_c_prestamosPendientes);
		$CadenaPrestamosRenovados = "";
		if(is_array($a_c_prestamosRenovados)) $CadenaPrestamosRenovados = implode(',',$a_c_prestamosRenovados);
		$CadenaPrestamosPagoTeorico = "";
		if(is_array($a_c_prestamosPagoTeorico)) $CadenaPrestamosPagoTeorico = implode(',',$a_c_prestamosPagoTeorico);
		
		if($CadenaPrestamosVencidos){
			/*
			$sql = "SELECT sum(MontoTotal) as MontoTotal22 
					FROM `cr_prestamo` 
					WHERE `IdPrestamo` 
					in (".$CadenaPrestamosVencidos.")";
			$resultSMT = mysql_db_query(Conexion::getNameDb(), $sql, $con);
			if(mysql_num_rows($resultSMT) > 0 ){
				while($rowPreSMT = mysql_fetch_array($resultSMT)){
					$PagoTeorico	= $rowPreSMT['sumasaldo'];
					$a_c_prestamosPagoTeorico[] = $idprestamo;
				}
			}
			*/
		}
		
		
		$FechaCreacion = date('Y-m-d H:i:s');
		$sql = "
			insert into cr_resumen_diario
			(
			IdSucursal,IdMercado,IdColaborador,Fecha,NombreSucursal,NombreMercado,NombreColaborador,
			PrestamosPendientes,PrestamosVencidos,PrestamosMorosos,PrestamosCancelados,
			SaldoPrestamosPendientes,SaldoPrestamosVencidos,SaldoPrestamosMorosos,
			CadenaPrestamosCancelados,CadenaPrestamosPendientes,CadenaPrestamosVencidos,CadenaPrestamosMorosos,
			PrestamosRenovados,CadenaPrestamosRenovados ,PagoTeorico,SumaMontoPrestado22,FechaRegistro
			)
			values
			(
			'".$IdSucursal."','".$IdMercado."','".$IdColaborador."','".$fechaDiaSiguiente."','".$NombreSucursal."','".$NombreMercado."','".$NombreColaborador."',
			'".$contadorPrestamosPendientes."','".$contadorPrestamosVencidos."','".$contadorPrestamosMorosos."','".$contadorPrestamosCancelados."',
			'".$saldoPrestamosPendientes."','".$saldoPrestamosVencidos."','".$saldoPrestamosMorosos."',
			'".$CadenaPrestamosCancelados."','".$CadenaPrestamosPendientes."','".$CadenaPrestamosVencidos."','".$CadenaPrestamosMorosos."',
			'".$PrestamosRenovados."','".$CadenaPrestamosRenovados."','".$PagoTeorico."','".round(($SumaMontoTotal/22),2)."','".$FechaCreacion."'
			)
			";
		echo $sql."<br>";
		$result_i = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		$idref = mysql_insert_id($con);
		
		
			
	}
	
}


exit;